Bug 1267298 - dnf doesn't handle uncompressed comps.xml
dnf doesn't handle uncompressed comps.xml
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
25
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Reopened, Triaged
: 1174222 1328425 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-29 11:00 EDT by Jan Dobes
Modified: 2016-10-04 14:04 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-04 14:04:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Dobes 2015-09-29 11:00:32 EDT
Description of problem:
Dnf does not see groups defined in repo comps.

# cat /etc/yum.repos.d/spacewalk-nightly.repo
[spacewalk-nightly]
name=Spacewalk nightly
baseurl=http://yum.spacewalkproject.org/nightly/Fedora/$releasever/$basearch/
gpgkey=http://yum.spacewalkproject.org/RPM-GPG-KEY-spacewalk-2015
enabled=1
gpgcheck=0

# curl http://yum.spacewalkproject.org/nightly/Fedora/22/x86_64/repodata/repomd.xml
...
<data type="group">
    <location href="repodata/comps-spacewalk-server-fedora22.xml"/>
    <checksum type="sha">3bd00eab9aa83870c06c2f1a870c3d2c0f75f584</checksum>
    <timestamp>1443525607</timestamp>
</data>

# curl http://yum.spacewalkproject.org/nightly/Fedora/22/x86_64/repodata/comps-spacewalk-server-fedora22.xml
...
<some groups definitions>

Version-Release number of selected component (if applicable):
dnf-1.1.1-2.fc22.noarch

How reproducible:
always

Steps to Reproduce:
1. setup repo above
2. run "dnf group list"
3. run "yum-deprecated group list"

Actual results:
dnf does not list "Spacewalk Server" group, yum-deprecated does

Expected results:
dnf lists "Spacewalk Server" group
Comment 1 Michal Luscon 2015-10-02 18:33:48 EDT
I would suspect uncompressed comps.xml.
Comment 2 Fedora Admin XMLRPC Client 2016-07-08 05:27:18 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2016-07-19 14:03:17 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Igor Gnatenko 2016-07-22 05:19:08 EDT
*** Bug 1328425 has been marked as a duplicate of this bug. ***
Comment 5 Igor Gnatenko 2016-07-22 05:23:47 EDT
*** Bug 1174222 has been marked as a duplicate of this bug. ***
Comment 6 Jan Kurik 2016-07-26 01:02:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Note You need to log in before you can comment on or make changes to this bug.